Subject: Re: bug#50387: Possible bug in Tramp or in completions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Sep 2021 08:42:26 +0300

> Date: Mon, 06 Sep 2021 21:39:06 +0000
> From: Gregory Heytings <[email-masked]>
> Cc: Michael Albinus <[email-masked]>, [email-masked]
> 
> With my patch, when the user types / TAB, Tramp does not return the 
> default methods anymore, and therefore they are not returned after /scp: 
> TAB either.  So IMO the patch does TRT, and fixes both the behavior with 
> substring and flex completion styles.

When the dust settles on this, please make sure typing "C-x C-f / TAB"
doesn't cause Tramp to be loaded into Emacs due to these changes.
(I'm not saying it should, but we had trouble with this before, and
Michael solved them.)